Docker Community Forums

Share and learn in the Docker community.

Docker-compose build

What I’m trying to achieve

Installing the Saleor in a Docker
Steps to reproduce the problem
I went to the website of Docker and Docker engine and compose and installed the neccesary.
➜ saleor-platform git:(master) docker --version
Docker version 20.10.7, build f0df350
➜ saleor-platform git:(master) docker-compose --version
docker-compose version 1.29.2, build 5becea4c

I have installed the Docker and Docker engine and Docker compose
I have followed the instruction as mentioned on the website:
git clone https://github.com/mirumee/saleor-platform.git --recursive --jobs 3
cd saleor-platform
docker-compose build
Here is the error message I get

➜ saleor-platform git:(master) docker-compose build

Traceback (most recent call last):
File "urllib3/connectionpool.py", line 677, in urlopen
File "urllib3/connectionpool.py", line 392, in _make_request
File "http/client.py", line 1277, in request
File "http/client.py", line 1323, in _send_request
File "http/client.py", line 1272, in endheaders
File "http/client.py", line 1032, in _send_output
File "http/client.py", line 972, in send
File "docker/transport/unixconn.py", line 43, in connect
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.py”, line 727, in urlopen
File “urllib3/util/retry.py”, line 410, in increment
File “urllib3/packages/six.py”, line 734, in reraise
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1277, in request
File “http/client.py”, line 1323, in _send_request
File “http/client.py”, line 1272, in endheaders
File “http/client.py”, line 1032, in _send_output
File “http/client.py”, line 972, in send
File “docker/transport/unixconn.py”, line 43, in connect
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker/api/client.py”, line 214, in _retrieve_server_version
File “docker/api/daemon.py”, line 181, in version
File “docker/utils/decorators.py”, line 46, in inner
File “docker/api/client.py”, line 237, in _get
File “requests/sessions.py”, line 543, in get
File “requests/sessions.py”, line 530, in request
File “requests/sessions.py”, line 643, in send
File “requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker-compose”, line 3, in
File “compose/cli/main.py”, line 81, in main
File “compose/cli/main.py”, line 200, in perform_command
File “compose/cli/command.py”, line 70, in project_from_options
File “compose/cli/command.py”, line 153, in get_project
File “compose/cli/docker_client.py”, line 43, in get_client
File “compose/cli/docker_client.py”, line 170, in docker_client
File “docker/api/client.py”, line 197, in init
File “docker/api/client.py”, line 222, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, PermissionError(13, ‘Permission denied’))
[8813] Failed to execute script docker-compose

➜ saleor-platform git:(master)
What I expected to happen
The docker-compose build code to execute without errors

System information

Operating system:
Fedora 34

I have on a side not installed all the neccesary modules with pip install requirements manually.
Is this problem a docker problem or with Saleor? I am trying to figure out what is the right action to take.